Bug 218563 - The kernel modules have bogus addresses for text (code) section
The kernel modules have bogus addresses for text (code) section
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 20:40 EST by William Cohen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 09:58:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2006-12-05 20:40:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.13) Gecko/20060418 Fedora/1.0.8-1.1.fc4 Firefox/1.0.8

Description of problem:
The text address in the kernel modules for symbols in the modules appear to be incorrect:

$ nm /lib/modules/2.6.17-1.2142_FC4/kernel/arch/x86_64/oprofile/oprofile.ko|grep ' T '
0000000000000000 T add_event_entry
0000000000000000 T alloc_cpu_buffers
0000000000000000 T alloc_event_buffer
0000000000000000 T cleanup_module
0000000000000000 T cpu_buffer_reset
0000000000000000 T end_cpu_work
...

OProfile uses that information to determine which function a sample maps to. 
It looks like the build system might be corrupting the offsets. This problem does not appear in locally build kernel RPM or kernel code.


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2142_FC4 oprofile-0.8.2-4

How reproducible:
Always


Steps to Reproduce:
1. Examine the various modules with "nm $path_to_module |grep ' T '"


Actual Results:
See that all the addresses in module are 0000000000000000


Expected Results:
See the offsets for the various functions in the module.

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:09:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 William Cohen 2007-01-22 09:58:39 EST
For Rawhide looks okay:

$ nm /lib/modules/`uname -r`/kernel/arch/x86_64/oprofile/oprofile.ko|grep ' T '
0000000000000ee4 T add_event_entry
00000000000005d8 T alloc_cpu_buffers
0000000000000e38 T alloc_event_buffer
0000000000000000 T cleanup_module
00000000000001b8 T cpu_buffer_reset

Also looks okay for FC6:

$ nm /lib/modules/`uname -r`/kernel/arch/x86_64/oprofile/oprofile.ko|grep ' T '
0000000000001023 T add_event_entry
0000000000000662 T alloc_cpu_buffers
0000000000000f78 T alloc_event_buffer
0000000000000000 T cleanup_module
0000000000000230 T cpu_buffer_reset
000000000000053f T end_cpu_work



Note You need to log in before you can comment on or make changes to this bug.